Name:          svntask
Version:       1.0.8
Release:       %mkrel 1
Summary:       svn ant task
Group:         Development/Java
License:       ASL
Url:           http://code.google.com/p/svntask/
Source0:       http://svntask.googlecode.com/files/svntask-%{version}.zip
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: svnkit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
svntask is a super simple solution for using svn from ant.

%package        javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description    javadoc
svntask is a super simple solution for using svn from ant.

This package contains javadoc for %{name}

%prep
%setup -q -n svntask-%{version}
rm -rf svntask.jar javadoc

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd lib
  ln -sf $(build-classpath svnkit) svnkit.jar
  ln -sf $(build-classpath ant) ant.jar
popd

%build
#export CLASSPATH=$(build-classpath trilead-ssh2 jna ant svnkit junit svn-javahl)
ant -Dversion=%{version} jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 target/svntask.jar \
  %{buildroot}%{_javadir}/svntask-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf svntask-%{version}.jar svntask.jar
  done
)

mkdir -p %{buildroot}%{_javadocdir}/svntask-%{version}
cp -a target/javadoc/* %{buildroot}%{_javadocdir}/svntask-%{version}
ln -s svntask-%{version} %{buildroot}%{_javadocdir}/svntask

%files
%{_javadir}/svntask-%{version}.jar
%{_javadir}/svntask.jar
%doc README.html

%files javadoc
%{_javadocdir}/svntask-%{version}
%{_javadocdir}/svntask



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.8-1.mga2
+ Revision: 131882
- Clean spec file

  + gil <gil>
    - imported package svntask


* Sat Jun 11 2011 gil <gil> 1.0.8-0.%%mkrel
- initial rpm